org.bdgenomics.adam.projections

# NucleotideContigFragmentField

###
Related Doc: package projections

#### object NucleotideContigFragmentField extends FieldEnumeration

Enumeration of NucleotideContigFragment field names for predicates and projections.

Linear Supertypes
FieldEnumeration, Enumeration, Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. NucleotideContigFragmentField
2. FieldEnumeration
3. Enumeration
4. Serializable
5. Serializable
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1. #### class SchemaVal extends Val with FieldValue

   Definition Classes
     FieldEnumeration

2. #### class Val extends Value with Serializable

   Attributes
     protected
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()

3. #### abstract class Value extends Ordered[Value] with Serializable

   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()

4. #### class ValueSet extends AbstractSet[Value] with SortedSet[Value] with SortedSetLike[Value, ValueSet] with Serializable

   Definition Classes
     Enumeration

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def SchemaValue: SchemaVal

   Attributes
     protected
   Definition Classes
     FieldEnumeration

5. #### final def Value(i: Int, name: String): Value

   Attributes
     protected
   Definition Classes
     Enumeration

6. #### final def Value(name: String): Value

   Attributes
     protected
   Definition Classes
     Enumeration

7. #### final def Value(i: Int): Value

   Attributes
     protected
   Definition Classes
     Enumeration

8. #### final def Value: Value

   Attributes
     protected
   Definition Classes
     Enumeration

9. #### final def apply(x: Int): Value

   Definition Classes
     Enumeration

10. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

11. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

12. #### val contig: SchemaVal

13. #### val description: SchemaVal

14. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

15. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

16. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

17. #### val fragmentEndPosition: SchemaVal

18. #### val fragmentNumber: SchemaVal

19. #### val fragmentSequence: SchemaVal

20. #### val fragmentStartPosition: SchemaVal

21. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

22. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

23. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

24. #### final def maxId: Int

    Definition Classes
      Enumeration

25. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

26. #### var nextId: Int

    Attributes
      protected
    Definition Classes
      Enumeration

27. #### var nextName: Iterator[String]

    Attributes
      protected
    Definition Classes
      Enumeration

28. #### final def notify(): Unit

    Definition Classes
      AnyRef

29. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

30. #### val numberOfFragmentsInContig: SchemaVal

31. #### def readResolve(): AnyRef

    Attributes
      protected
    Definition Classes
      Enumeration

32. #### val recordSchema: Schema

    Definition Classes
      FieldEnumeration

33. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

34. #### def toString(): String

    Definition Classes
      Enumeration → AnyRef → Any

35. #### val url: SchemaVal

36. #### def values: ValueSet

    Definition Classes
      Enumeration

37. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

38. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

39. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

40. #### final def withName(s: String): Value

    Definition Classes
      Enumeration

### Inherited from FieldEnumeration

### Inherited from Enumeration

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped